Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007866TestLinkCode alignmentpublic2017-03-07 10:372018-04-15 10:36
ReporterabIng 
Assigned Tofman 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007866: Typing error in code: breack instead of break
DescriptionTrivial cosmetic mistake.
In the file testlink-1.9.16\lib\api\xmlrpc\v1\xmlrpc.class.php at line 4011 there is breack instead of braek:
            foreach($keys2check as $key)
            {
                $names[$key]=$this->_isParamPresent($key,$msg_prefix,self::SET_ERROR) ? trim($this->args[$key]) : '';
                if($names[$key]=='')
                {
                    $status_ok=false;
                    breack;
                }
            }

This piece of code is executed rarely - only when Jenkins plugin is not configured properly.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027347)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2017-03-07 10:37 abIng New Issue
2017-03-07 13:52 fman Assigned To => fman
2017-03-07 13:52 fman Status new => assigned
2017-03-07 13:53 fman QA Team - Task Workflow Status => TBD
2017-03-13 20:36 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-03-13 20:36 fman Status assigned => resolved
2017-03-13 20:36 fman Fixed in Version => 1.9.17 (2018 Q1)
2017-03-13 20:36 fman Resolution open => fixed
2018-04-15 10:36 fman Note Added: 0027347
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker